Bug 230267 - [NEW PORT] x11-fm/fsv2: File system visualizer in 3D
Summary: [NEW PORT] x11-fm/fsv2: File system visualizer in 3D
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-01 17:15 UTC by Philipp Engel
Modified: 2019-01-27 14:27 UTC (History)
2 users (show)

See Also:


Attachments
The port. (4.09 KB, text/plain)
2018-08-01 17:15 UTC, Philipp Engel
no flags Details
fsv2.shar (11.83 KB, text/plain)
2018-08-13 15:17 UTC, Philipp Engel
no flags Details
fsv2.shar (10.95 KB, text/plain)
2018-08-15 13:00 UTC, Philipp Engel
no flags Details
The updated port (10.95 KB, text/plain)
2019-01-20 13:37 UTC, Philipp Engel
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Engel 2018-08-01 17:15:25 UTC
Created attachment 195721 [details]
The port.

x11-fm/fsv2

fsv2 is a file system visualizer in cyberspace. It lays out files and 
directories in three dimensions, geometrically representing the file system 
hierarchy to allow visual overview and analysis.

WWW: http://fedorchenko.net/fsv2.php

Updated submission of PR 215884, as the original reporter is not interested in this port anymore.
Comment 1 Romain Tartière freebsd_committer 2018-08-13 09:05:26 UTC
Looks great, I think I spotted a few issues:
 - The Makefile has an OPTIONS_SUN which does not exist.  Maybe you intended an OPTIONS_SUB, but the pkg-plist does not have "%%NLS%%" and NLS is the only option configured), so I guess you can remove this line;
 - Only use += when you have already done an assignation, and want to add something, generally conditionally (you can remove the '+' from the USES, USE_GNOME, USE_GL lines);
 - Set a LICENSE_FILE: https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/book.html#licenses-license_file

Some cosmetic enhancements:
 - Avoid more than 80 chars on a single line (USE_GNOME can span 2 lines);
 - Porters usually try to align values between lines in the Makefile (vertical alignment), check that your editor use 8-space hard-tabs.  This is purely cosmetic, but avoids distraction when you are reading a lot of Makefiles, making committers life easier :-)  I think you will want to remove tabs to PORTNAME, CATEGORIES, MAINTAINER, COMMENT, LICENSE, and add tabs to USES, USE_GNOME, USE_GL, NLS_CONFIGURE_ENABLE, LIB_DEPENDS.  When a variable name is very long, it may make sense to break this rule, so instead of adding a tab to NLS_CONFIGURE_ENABLE you may want to remove tabs to NLS_USES. (for example, see https://svnweb.freebsd.org/ports/head/sysutils/puppet5/Makefile?revision=474935&view=markup )

Thanks!
Comment 2 Philipp Engel 2018-08-13 15:17:27 UTC
Created attachment 196158 [details]
fsv2.shar
Comment 3 Philipp Engel 2018-08-13 15:18:18 UTC
Thank you for all the advices. I have changed the Makefile to 8-space hard-tabs and hope I've got it right.
Comment 4 Philipp Engel 2018-08-15 13:00:12 UTC
Created attachment 196218 [details]
fsv2.shar

Removed old Makefile from archive.
Comment 5 commit-hook freebsd_committer 2019-01-20 05:12:37 UTC
A commit references this bug:

Author: swills
Date: Sun Jan 20 05:11:50 UTC 2019
New revision: 490772
URL: https://svnweb.freebsd.org/changeset/ports/490772

Log:
  x11-fm/fsv2: create port

  fsv2 is a file system visualizer in cyberspace. It lays out files and
  directories in three dimensions, geometrically representing the file system
  hierarchy to allow visual overview and analysis.

  WWW: http://fedorchenko.net/fsv2.php

  PR:		230267
  Submitted by:	Philipp Engel <kidon@posteo.de>

Changes:
  head/x11-fm/Makefile
  head/x11-fm/fsv2/
  head/x11-fm/fsv2/Makefile
  head/x11-fm/fsv2/distinfo
  head/x11-fm/fsv2/files/
  head/x11-fm/fsv2/files/patch-src_common.h
  head/x11-fm/fsv2/pkg-descr
  head/x11-fm/fsv2/pkg-plist
Comment 6 Steve Wills freebsd_committer 2019-01-20 05:13:24 UTC
Committed, thanks!
Comment 7 Philipp Engel 2019-01-20 13:37:54 UTC
Created attachment 201283 [details]
The updated port
Comment 8 Philipp Engel 2019-01-20 13:38:57 UTC
Unfortunately, the port does not build with Poudriere. I've made some changes to the Makefile. It should work now (see attachment).
Comment 9 Steve Wills freebsd_committer 2019-01-21 00:17:27 UTC
I'll take a look
Comment 10 Steve Wills freebsd_committer 2019-01-27 14:27:50 UTC
(In reply to Steve Wills from comment #9)
Seems to build OK to me:

http://beefy12.nyi.freebsd.org/data/head-amd64-default/p490918_s343288/logs/fsv2-1.1.0.log

Closing for now, let me know if you still see an issue.